Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZSelectionType Class Reference
Inheritance diagram for eZSelectionType:

## Public Member Functions
| __construct ()
| validateClassAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| fetchClassAttributeHTTPInput ( $http, $base, $classAttribute)
| validateObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| fetchObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| validateCollectionAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| fetchCollectionAttributeHTTPInput ( $collection, $collectionAttribute, $http, $base, $contentObjectAttribute)
| initializeObjectAttribute ( $contentObjectAttribute, $currentVersion, $originalContentObjectAttribute)
| objectAttributeContent ( $contentObjectAttribute)
| classAttributeContent ( $classAttribute)
| metaData ( $contentObjectAttribute)
| toString ( $contentObjectAttribute)
| fromString ( $contentObjectAttribute, $string)
| title ( $contentObjectAttribute, $name=null)
| hasObjectAttributeContent ( $contentObjectAttribute)
| sortKey ( $contentObjectAttribute)
| sortKeyType ()
| isIndexable ()
| isInformationCollector ()
| serializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| unserializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| supportsBatchInitializeObjectAttribute ()
Public Member Functions inherited from eZDataType
| __construct ( $dataTypeString, $name, $properties=array())
| eZDataType ( $dataTypeString, $name, $properties=array())
| viewTemplate ( $contentobjectAttribute)
| editTemplate ( $contentobjectAttribute)
| informationTemplate ( $contentobjectAttribute)
| resultTemplate (&$collectionAttribute)
| isA ()
| isTranslatable ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| isHTTPFileInsertionSupported ()
| isRegularFileInsertionSupported ()
| isSimpleStringInsertionSupported ()
| isRelationType ()
| insertHTTPFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $httpFile, $mimeData, &$result)
| insertRegularFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $filePath, &$result)
| insertSimpleString ( $object, $objectVersion, $objectLanguage, $objectAttribute, $string, &$result)
| hasStoredFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| handleDownload ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| storedFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| productOptionInformation ( $objectAttribute, $optionID, $productItem)
| objectDisplayInformation ( $objectAttribute, $mergeInfo=false)
| classDisplayInformation ( $classAttribute, $mergeInfo=false)
| storeObjectAttribute ( $objectAttribute)
| onPublish ( $contentObjectAttribute, $contentObject, $publishedNodes)
| preStoreClassAttribute ( $classAttribute, $version)
| storeClassAttribute ( $classAttribute, $version)
| storeDefinedClassAttribute ( $classAttribute)
| storeModifiedClassAttribute ( $classAttribute)
| storeVersionedClassAttribute ( $classAttribute, $version)
| preStoreDefinedClassAttribute ( $classAttribute)
| preStoreModifiedClassAttribute ( $classAttribute)
| preStoreVersionedClassAttribute ( $classAttribute, $version)
| fixupClassAttributeHTTPInput ( $http, $base, $classAttribute)
| customClassAttributeHTTPAction ( $http, $action, $classAttribute)
| fetchActionValue ( $action, $actionName, &$value)
| fixupObjectAttributeHTTPInput ( $http, $base, $objectAttribute)
| fixupCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| customObjectAttributeHTTPAction ( $http, $action, $objectAttribute, $parameters)
| handleCustomObjectHTTPActions ( $http, $attributeDataBaseName, $customActionAttributeArray, $customActionParameters)
| initializeClassAttribute ( $classAttribute)
| cloneClassAttribute ( $oldClassAttribute, $newClassAttribute)
| repairContentObjectAttribute ( $contentObjectAttribute)
| postInitializeObjectAttribute ( $objectAttribute, $currentVersion, $originalContentObjectAttribute)
| postStore ( $objectAttribute)
| trashStoredObjectAttribute ( $objectAttribute, $version=null)
| restoreTrashedObjectAttribute ( $objectAttribute)
| deleteStoredObjectAttribute ( $objectAttribute, $version=null)
| deleteStoredClassAttribute ( $classAttribute, $version=null)
| deleteNotVersionedStoredClassAttribute (eZContentClassAttribute $classAttribute)
| contentActionList ( $classAttribute)
| hasInformationCollection ()
| isAddToBasketValidationRequired ()
| validateAddToBasket ( $objectAttribute, $data, &$errors)
| isClassAttributeRemovable ( $classAttribute)
| classAttributeRemovableInformation ( $classAttribute, $includeAll=true)
| customSorting ()
| customSortingSQL ( $params)
| templateList ()
| serializeContentObjectAttribute ( $package, $objectAttribute)
| unserializeContentObjectAttribute ( $package, $objectAttribute, $attributeNode)
| postUnserializeContentObjectAttribute ( $package, $objectAttribute)
| removeRelatedObjectItem ( $contentObjectAttribute, $objectID)
| fixRelatedObjectItem ( $contentObjectAttribute, $objectID, $mode)
| createContentObjectAttributeDOMNode ( $objectAttribute)
| diff ( $old, $new, $options=false)
| getDBAFileName ()
| getDBAFilePath ( $checkExtensions=true)
| getDBAExtensionFilePath ()
| importDBDataFromDBAFile ( $dbaFilePath=false)
| batchInitializeObjectAttributeData ( $classAttribute)

## Public Attributes
const | DATA_TYPE_STRING = "ezselection"
Public Attributes inherited from eZDataType
| $Attributes
| $DataTypeString
| The datatype string ID, used for uniquely identifying a datatype. More...
| $Name
| The descriptive name of the datatype, usually used for displaying to the user. More...

## Additional Inherited Members
Static Public Member Functions inherited from eZDataType
static | create ( $dataTypeString)
static | registeredDataTypes ()
static | register ( $dataTypeString, $className)
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | loadAndRegisterType ( $type)

## Detailed Description

Definition at line 20 of file ezselectiontype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSelectionType::__construct | ( |  | ) |

Definition at line 24 of file ezselectiontype.php.

References ezpI18n\tr().

## Member Function Documentation

## ◆ classAttributeContent()

eZSelectionType::classAttributeContent | ( |  | $classAttribute | ) |

Returns the content data for the given content class attribute.

Reimplemented from eZDataType.

Definition at line 246 of file ezselectiontype.php.

Referenced by fetchClassAttributeHTTPInput(), fromString(), metaData(), title(), and toString().

## ◆ fetchClassAttributeHTTPInput()

eZSelectionType::fetchClassAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $classAttribute
| ) |  |

Fetches all variables inputed on content class level

Returns
  true if fetching of class attributes are successfull, false if not

Reimplemented from eZDataType.

Definition at line 44 of file ezselectiontype.php.

References classAttributeContent().

## ◆ fetchCollectionAttributeHTTPInput()

eZSelectionType::fetchCollectionAttributeHTTPInput | ( |  | $collection,
|  |  | $collectionAttribute,
|  |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Fetches the http post variables for collected information

Reimplemented from eZDataType.

Definition at line 209 of file ezselectiontype.php.

## ◆ fetchObjectAttributeHTTPInput()

eZSelectionType::fetchObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Fetches all variables from the object

Returns
  true if fetching of class attributes are successfull, false if not

Reimplemented from eZDataType.

Definition at line 172 of file ezselectiontype.php.

## ◆ fromString()

eZSelectionType::fromString | ( |  | $contentObjectAttribute,
|  |  | $string
| ) |  |

Reimplemented from eZDataType.

Definition at line 329 of file ezselectiontype.php.

References classAttributeContent(), and eZStringUtils\explodeStr().

## ◆ hasObjectAttributeContent()

eZSelectionType::hasObjectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns
  `true` if the datatype finds any content in the attribute $contentObjectAttribute.

Reimplemented from eZDataType.

Definition at line 372 of file ezselectiontype.php.

References objectAttributeContent().

## ◆ initializeObjectAttribute()

eZSelectionType::initializeObjectAttribute | ( |  | $contentObjectAttribute,
|  |  | $currentVersion,
|  |  | $originalContentObjectAttribute
| ) |  |

Sets the default value.

Reimplemented from eZDataType.

Definition at line 224 of file ezselectiontype.php.

## ◆ isIndexable()

eZSelectionType::isIndexable | ( |  | ) |

Returns
  true if the datatype can be indexed

Reimplemented from eZDataType.

Definition at line 391 of file ezselectiontype.php.

## ◆ isInformationCollector()

eZSelectionType::isInformationCollector | ( |  | ) |

Returns
  true if the datatype can be used as an information collector

Reimplemented from eZDataType.

Definition at line 396 of file ezselectiontype.php.

## ◆ metaData()

eZSelectionType::metaData | ( |  | $contentObjectAttribute | ) |

Returns the meta data used for storing search indeces.

Reimplemented from eZDataType.

Definition at line 279 of file ezselectiontype.php.

References classAttributeContent(), and objectAttributeContent().

## ◆ objectAttributeContent()

eZSelectionType::objectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns the selected options by id.

Reimplemented from eZDataType.

Definition at line 237 of file ezselectiontype.php.

Referenced by hasObjectAttributeContent(), metaData(), title(), and toString().

## ◆ serializeContentClassAttribute()

eZSelectionType::serializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Adds the necessary dom structure to the attribute parameters.

Note
  The default is to add unsupported='true' to the attribute node, meaning that the datatype does not support serializing.

Reimplemented from eZDataType.

Definition at line 401 of file ezselectiontype.php.

## ◆ sortKey()

eZSelectionType::sortKey | ( |  | $objectAttribute | ) |

Returns
  the sort key for the datatype. This is used for sorting on attribute level.

Reimplemented from eZDataType.

Definition at line 378 of file ezselectiontype.php.

## ◆ sortKeyType()

eZSelectionType::sortKeyType | ( |  | ) |

Returns
  the type of the sort key int|string False is returned if sorting is not supported

Reimplemented from eZDataType.

Definition at line 383 of file ezselectiontype.php.

## ◆ supportsBatchInitializeObjectAttribute()

eZSelectionType::supportsBatchInitializeObjectAttribute | ( |  | ) |

Reimplemented from eZDataType.

Definition at line 440 of file ezselectiontype.php.

## ◆ title()

eZSelectionType::title | ( |  | $contentObjectAttribute,
|  |  | $name = `null`
| ) |  |

Returns the value as it will be shown if this attribute is used in the object name pattern.

Reimplemented from eZDataType.

Definition at line 354 of file ezselectiontype.php.

References classAttributeContent(), and objectAttributeContent().

## ◆ toString()

eZSelectionType::toString | ( |  | $objectAttribute | ) |

Returns
  string representation of an contentobjectattribute data for simplified export

Reimplemented from eZDataType.

Definition at line 305 of file ezselectiontype.php.

References classAttributeContent(), eZStringUtils\implodeStr(), and objectAttributeContent().

## ◆ unserializeContentClassAttribute()

eZSelectionType::unserializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Extracts values from the attribute parameters and sets it in the class attribute.

Note
  This function is called after the attribute has been stored and a second store is called after this function is done.

Reimplemented from eZDataType.

Definition at line 420 of file ezselectiontype.php.

## ◆ validateClassAttributeHTTPInput()

eZSelectionType::validateClassAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Validates all variables given on content class level

Returns
  eZInputValidator::STATE_ACCEPTED or eZInputValidator::STATE_INVALID if the values are accepted or not

Reimplemented from eZDataType.

Definition at line 35 of file ezselectiontype.php.

References eZInputValidator\STATE_ACCEPTED.

## ◆ validateCollectionAttributeHTTPInput()

eZSelectionType::validateCollectionAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $objectAttribute
| ) |  |

Validates the input for an object attribute and returns a validation state as defined in eZInputValidator.

Note
  Default implementation does nothing and returns accepted.

Reimplemented from eZDataType.

Definition at line 184 of file ezselectiontype.php.

References eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, and ezpI18n\tr().

## ◆ validateObjectAttributeHTTPInput()

eZSelectionType::validateObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Validates input on content object level

Returns
  eZInputValidator::STATE_ACCEPTED or eZInputValidator::STATE_INVALID if the values are accepted or not

Reimplemented from eZDataType.

Definition at line 141 of file ezselectiontype.php.

References eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, and ezpI18n\tr().

## Member Data Documentation

## ◆ DATA_TYPE_STRING

const eZSelectionType::DATA_TYPE_STRING = "ezselection"

Definition at line 22 of file ezselectiontype.php.

The documentation for this class was generated from the following file:

- ezselectiontype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.